<!-- 
This README describes the package. If you publish this package to pub.dev,
this README's contents appear on the landing page for your package.

For information about how to write a good package README, see the guide for
[writing package pages](https://dart.dev/guides/libraries/writing-package-pages). 

For general information about developing packages, see the Dart guide for
[creating packages](https://dart.dev/guides/libraries/create-library-packages)
and the Flutter guide for
[developing packages and plugins](https://flutter.dev/developing-packages). 
-->
## About adaptive_widgets

A (small) collection of Widgets that automatically detect the current platform and adapt to it.

This package is very early in development, it features just a few adaptive widgets.

The widgets included works nicely, although they may or may not include all the customization options available in
the Material or Cupertino counterparts.

## Features

It currently is in a very early stage of development.

It supports the following platforms:
- iOS
- macOS
- Android

It includes the following widgets:
- AdaptiveScaffold
- AdaptiveIconButton
- AdaptiveTextField

More widgets will be added in the future.

## Usage

With Flutter:

```shell
$ flutter pub add appandup_adaptive_widgets
```

This will add a line like this to your package's pubspec.yaml (and run an implicit flutter pub get):

```yaml
dependencies:
  appandup_adaptive_widgets: ^0.0.2
```

Alternatively, your editor might support or flutter pub get. Check the docs for your editor to learn more.

##Import it

Now in your Dart code, you can use:

```dart
import 'package:appandup_adaptive_widgets/appandup_adaptive_widgets.dart';
```

